webdevqa.jp.net

Firefoxが特定の拡張機能を更新できないようにしていますか?

Firefoxが特定の拡張機能をブラックリストに登録したり、更新しないようにすることは可能ですか?

たとえば、TwitterクライアントであるEchofonは、バージョン1.9.6.4以降のLinuxFirefoxでは動作しなくなりました。私は通常、更新ボックスについて言われるたびにチェックを外しますが、他の人がたくさん入っているかどうかを忘れることがあります。次に、古い動作中のバージョンを再インストールする必要があります。

同様に、Gmail通知機能は特定のバージョンを過ぎても機能しません。

Firefoxに拡張機能を更新しないように指示するabout:config設定があるかどうかは誰でも知っています。または、FFがすでにより良いバージョンを持っていると考えるように、バージョン番号を曖昧にする方法がある場合はどうでしょうか。

6
Scarfy

個々のアドオンの更新チェックを無効にする-上級ユーザー:

ソフトウェアの更新機能を有効にしている場合でも、個々のアドオンが自動的に更新されないようにすることができます。そうするには:

  • 拡張機能のGUIDを見つけます。 GUIDは、電子メールアドレスまたは{}括弧内のランダムな文字の集まりです。拡張GUIDにちなんで名付けられたフォルダーは、 プロファイルフォルダー の拡張フォルダーにあります。各フォルダーのinstall.rdfファイルを見て、それがどの拡張子であるかを確認できます。
  • アドレスバーに about:config と入力し、Enterキーを押します。
  • 右クリック->新規->ブール値
  • 名前:extensions .<GUID>。update.enabled //(中括弧を含むGUID)
  • 値:false

GUID番号を手動で見つけるための簡略化された手順:

  • About:configリストにある拡張機能のリストが表示されます。GUID番号(電子メールのようなIDでない場合)が中括弧で囲まれているため、「extensions。{」でフィルタリングするだけです。次に、そこにある説明を、ツール、アドオン、拡張機能のリストに表示されているものと一致させることができます。
  • お使いのブラウザがabout:supportページ(現在Firefox3.6以降およびGecko1.9.3aに基づく最近のトランクビルド)をサポートしている場合は、インストールされている各拡張機能のIDがそこに表示されます。
  • 変更する名前の値をコピーして、同じ名前で新しいブール変数を作成しますが、「。description」を「.update.enabled」に変更し、その値をFalseに設定します。修正不可能な拡張機能の更新が再び使用できるようになった場合は、切り替えてこのアイテムをデフォルト値にリセットできます。

GUID番号(id)を検索、表示、またはコピーする便利な拡張機能には、次のものがあります。

  • Addons.mozilla.orgで:

  • Extension Manager Extendedアドオンパネルの項目を右クリックすると、GUID、インストール日、互換性のあるアプリケーションバージョンを表示し、GUIDをコピーして、拡張機能またはテーマのフォルダーを開くことができます。GUID番号。

MR Tech Toolkitには、これらの機能に加えて、独自の機能の一部として「DisableUpdatecheck」も含まれています。ただし、[設定]には、ほとんどのメニュー項目を表示または非表示にするチェックボックスが含まれているため、右クリックしても表示されない場合は、このチェックボックスを確認する必要があります。

  • Infolisterは、テーブル内の拡張機能のリストを提供します。ユーザーは独自のテンプレートを使用してリストを変更できます。 「about:info」プロトコルリンクを作成します。拡張機能のアドオン互換性レポーターリンクを作成することもできます- https://addons.mozilla.org/en-US/firefox/compatibility/reporter/%id% -テンプレートを使用します。 [6]

  • 上記のアドオンの一部は、Firefox以外のアプリケーションでも使用できます。使用できるかどうかを確認するには、上記のURLのaddons.mozilla.org/firefox/addon/などの「firefox」を「seamonkey」、「Thunderbird」、必要に応じて「sunbird」などを使用し、アプリケーションのロゴ(拡張機能がサポートしていることを意味します)またはFirefoxのロゴ(サポートしていないことを意味します)を含むアドオンページを取得するかどうかを確認します(ただし、現在説明されている手順を覚えておいてください)このページはSeaMonkey1.xには適用されません)。

  • 他の場所:

  • Prefbar(Infolistボタンが追加されています)。

更新が抑制されている拡張機能では、更新を確認した後、アドオンリストに「更新が無効になっています」と表示されます。

MozillaZineナレッジベースから: 個々のアドオンの更新チェックを無効にする

2
galacticninja

他の答えが気に入らない場合や他のことに興味がある場合は、別のアプローチをとっています。更新を回避する代わりに、拡張機能を更新してみて、Firefoxに実行できないと思われる新しいバージョンを実行させることができます。ほとんどの場合、アドオンはほとんどの部分で完全に機能しますが、開発者が最大バージョンをLinuxFirefoxの現在のバージョンに更新することはできませんでした。

ここで拡張子を取得できます https://addons.mozilla.org/en-US/firefox/addon/15003/?src=external-fxbetarelnote 。それをインストールします。推奨どおりに再起動します。有効にして、再起動してください。問題が解決しました。すべての拡張機能が機能するとは限りませんが、ほとんどの拡張機能はおそらく機能することに注意してください。

0
Nick McCurdy

これは、レガシー拡張機能の機能です。

アドオンアップデートチェッカー

https://web.archive.org/web/20171028103439/https://addons.mozilla.org/en-US/firefox/addon/addon-update-checker/

クラシックアドオンアーカイブ

  • caa:addon/addon-update-checker

拡張機能の設定のスクリーンショット

Screenshot

既知の問題

から http://forums.mozillazine.org/viewtopic.php?p=14801987#p14801987

外観/ペルソナ/テーマまたは拡張機能が追加されるたびに、予期しない更新のチェックがトリガーされます。

0
Graham Perrin